org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class PathTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PathTest

- Direct Known Subclasses:
    PathTest.Traversals

      public abstract class PathTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PathTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path()`
    `void` | `g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX()`
    `void` | `g_V_out_out_path_byXnameX_byXageX()`
    `void` | `g_V_repeatXoutX_timesX2X_path_byXitX_byXnameX_byXlangX()`
    `void` | `g_VX1X_name_path()`
    `void` | `g_VX1X_out_path_byXageX_byXnameX()`
    `void` | `g_VX1X_outEXcreatedX_inV_inE_outV_path()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_out_out_path_byXnameX_byXageX()`
    `abstract Traversal<Vertex,Path>` | `get_g_V_repeatXoutX_timesX2X_path_by_byXnameX_byXlangX()`
    `abstract Traversal<Vertex,Path>` | `get_g_VX1X_name_path(Object v1Id)`
    `abstract Traversal<Vertex,Path>` | `get_g_VX1X_out_path_byXageX_byXnameX(Object v1Id)`
    `abstract Traversal<Vertex,Path>` | `get_g_VX1X_outEXcreatedX_inV_inE_outV_path(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathTest

          public PathTest()

  - ### Method Detail

    - #### get_g_VX1X_name_path

          public abstract Traversal<Vertex,Path> get_g_VX1X_name_path(Object v1Id)

    - #### get_g_VX1X_out_path_byXageX_byXnameX

          public abstract Traversal<Vertex,Path> get_g_VX1X_out_path_byXageX_byXnameX(Object v1Id)

    - #### get_g_V_repeatXoutX_timesX2X_path_by_byXnameX_byXlangX

          public abstract Traversal<Vertex,Path> get_g_V_repeatXoutX_timesX2X_path_by_byXnameX_byXlangX()

    - #### get_g_V_out_out_path_byXnameX_byXageX

          public abstract Traversal<Vertex,Path> get_g_V_out_out_path_byXnameX_byXageX()

    - #### get_g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path

          public abstract Traversal<Vertex,Path> get_g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path()

    - #### get_g_VX1X_outEXcreatedX_inV_inE_outV_path

          public abstract Traversal<Vertex,Path> get_g_VX1X_outEXcreatedX_inV_inE_outV_path(Object v1Id)

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX

          public abstract Traversal<Vertex,Path> get_g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX()

    - #### g_VX1X_name_path

          public void g_VX1X_name_path()

    - #### g_VX1X_out_path_byXageX_byXnameX

          public void g_VX1X_out_path_byXageX_byXnameX()

    - #### g_V_repeatXoutX_timesX2X_path_byXitX_byXnameX_byXlangX

          public void g_V_repeatXoutX_timesX2X_path_byXitX_byXnameX_byXlangX()

    - #### g_V_out_out_path_byXnameX_byXageX

          public void g_V_out_out_path_byXnameX_byXageX()

    - #### g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path

          public void g_V_asXaX_hasXname_markoX_asXbX_hasXage_29X_asXcX_path()

    - #### g_VX1X_outEXcreatedX_inV_inE_outV_path

          public void g_VX1X_outEXcreatedX_inV_inE_outV_path()

    - #### g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX

          public void g_V_asXaX_out_asXbX_out_asXcX_path_fromXbX_toXcX_byXnameX()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.